"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileObject = void 0;
var fs_1 = __importDefault(require("fs"));
var FileObject = /** @class */ (function () {
    function FileObject(_a) {
        var fileObject = _a.fileObject, filePath = _a.filePath, days = _a.days;
        if (filePath === undefined && fileObject === undefined) {
            throw new Error("You need to provide either a file path or a file object");
        }
        this.days = days;
        if (filePath) {
            if (!fs_1.default.existsSync(filePath)) {
                throw new Error(filePath + " doesn't exist");
            }
            this.file = fs_1.default.createReadStream(filePath);
            return;
        }
        if (fileObject) {
            this.file = fileObject;
        }
    }
    FileObject.prototype.toUploadFile = function () {
        return {
            file: this.file,
            days: this.days,
        };
    };
    return FileObject;
}());
exports.FileObject = FileObject;
//# sourceMappingURL=file_object.js.map